Get one customer details for an order

get

/fscmRestApi/resources/11.13.18.05/salesOrdersForOrderHub/{OrderKey}/child/lines/{linesUniqID}/child/billToCustomer/{AddressId}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
  • This is the hash key of the attributes which make up the composite key for the Order Lines resource and used to uniquely identify an instance of Order Lines. The client should not generate the hash key value. Instead, the client should query on the Order Lines collection resource in order to navigate to a specific instance of Order Lines to get the hash key.
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : salesOrdersForOrderHub-lines-billToCustomer-item-response
Type: object
Show Source
  • Maximum Length: 255
    Description of the account who's legally responsible for payment. This account exists when a selling relationship exists between the deploying company and the party.
  • Maximum Length: 255
    Number of the customer account who's legally responsible for payment. This account exists when a selling relationship exists between the deploying company and the party.
  • Maximum Length: 255
    First line of the bill-to customer address.
  • Maximum Length: 255
    Second line of the bill-to customer address.
  • Maximum Length: 255
    Third line of the bill-to customer address.
  • Maximum Length: 255
    Fourth line of the bill-to customer address.
  • Value that uniquely identifies the bill-to customer address.
  • Maximum Length: 255
    City of the bill-to customer address.
  • Maximum Length: 255
    Email address of the bill-to customer contact on the order line. Oracle Order Management uses this value to identify the bill-to customer contact when the order request doesn't specify the contact ID, number, or name. Order Management doesn't store this value on the sales order line.
  • Maximum Length: 255
    First name of the person to contact at the bill-to customer site.
  • Value that uniquely identifies the contact for the billing account.
  • Maximum Length: 255
    Last name of the person to contact at the bill-to customer site.
  • Maximum Length: 255
    Middle name of the person to contact at the bill-to customer site.
  • Maximum Length: 255
    Person to contact at the bill-to customer site.
  • Maximum Length: 255
    Name suffix of the person to contact at the bill-to customer site.
  • Maximum Length: 255
    Phone number of the person to contact at the bill-to customer site.
  • Maximum Length: 255
    Title of the person to contact at the bill-to customer site.
  • Maximum Length: 255
    Country of the bill-to customer address.
  • Maximum Length: 255
    County of the bill-to customer address.
  • Value that uniquely identifies the account that's legally responsible for payment. This account exists when a selling relationship exists between the deploying company and the party.
  • Links
  • Maximum Length: 255
    Email address of the bill-to customer account on the order line. Oracle Order Management uses this value to identify the bill-to customer account when the order request doesn't specify the account ID or number. Order Management doesn't store this value on the sales order line.
  • Maximum Length: 255
    Name of the party who's legally responsible for payment.
  • Maximum Length: 255
    If a person is legally responsible for payment, then this attribute contains the first name of the person.
  • Maximum Length: 255
    If a person is legally responsible for payment, then this attribute contains the last name of the person.
  • Maximum Length: 255
    If a person is legally responsible for payment, then this attribute contains the middle name of the person.
  • Maximum Length: 255
    If a person is legally responsible for payment, then this attribute contains the name suffix of the person.
  • Maximum Length: 255
    If a person is legally responsible for payment, then this attribute contains the title of the person.
  • Maximum Length: 255
    Postal code of the bill-to customer address.
  • Value that uniquely identifies the email for the preferred contact point for the contact at the account who's responsible for payment.
  • Maximum Length: 255
    Province of the bill-to customer address.
  • Value that uniquely identifies the account site that's legally responsible for payment.
  • Maximum Length: 255
    Value that uniquely identifies the bill-to customer address. Value is 1.
  • Maximum Length: 255
    State of the bill-to customer address.
Back to Top

Examples

This example describes how to get one customer detail for an order.

Example cURL Command

Use the following cURL command to submit a request on the REST resource:

curl -u username:password "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/OrderKey/child/lines/linesUniqID/child/billToCustomer/AddressId"

For example, the following command gets one customer details for an order:

curl -u username:password "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_sample_order_01/child/lines/00020000000EACED00057708000110F084F1BDDC0000000EACED00057708000110F084F1BDDD/child/billToCustomer/300100185341404"

Example Response Body

The following shows an example of the response body in JSON format.

{
	"AddressId" : 300100185341404,
	"CustomerAccountId" : 1006,
	"PartyName" : "Computer Service and Rentals",
	"AccountDescription" : "Computer Service and Rentals",
	"AccountNumber" : "1006",
	"PersonFirstName" : null,
	"PersonLastName" : null,
	"PersonMiddleName" : null,
	"PersonNameSuffix" : null,
	"PersonTitle" : null,
	"SiteUseId" : 1025,
	"Address1" : "301 Summit Hill Drive",
	"Address2" : null,
	"Address3" : null,
	"Address4" : null,
	"City" : "CHATTANOOGA",
	"State" : "TN",
	"PostalCode" : "37401",
	"County" : "Hamilton",
	"Province" : null,
	"Country" : "US",
	"ContactId" : 3152,
	"ContactName" : "Evelyn Jones",
	"ContactNumber" : "CONTACT-1004",
	"ContactFirstName" : "Evelyn",
	"ContactMiddleName" : null,
	"ContactLastName" : "Jones",
	"ContactNameSuffix" : null,
	"ContactTitle" : null,
	"PreferredContactPointId" : 999990005748144,
	"SourceAddressId" : "1",
	"links" : [ {
		"rel" : "self",
		"href" : "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_sample_order_01/child/lines/00020000000EACED00057708000110F084F1BDDC0000000EACED00057708000110F084F1BDDD/child/billToCustomer/300100185341404",
		"name" : "billToCustomer",
		"kind" : "item",
		"properties" : {
			"changeIndicator" : "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000978"
		}
	}, {
		"rel" : "canonical",
		"href" : "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_sample_order_01/child/lines/00020000000EACED00057708000110F084F1BDDC0000000EACED00057708000110F084F1BDDD/child/billToCustomer/300100185341404",
		"name" : "billToCustomer",
		"kind" : "item"
	}, {
		"rel" : "parent",
		"href" : "https://servername/fscmRestApi/resources/version/salesOrdersForOrderHub/GPR%3AR13_sample_order_01/child/lines/00020000000EACED00057708000110F084F1BDDC0000000EACED00057708000110F084F1BDDD",
		"name" : "lines",
		"kind" : "item"
	} ]
}
Back to Top